#ifndef _COMMON_H_
#define _COMMON_H_

#include "includes.h"

typedef struct global_config {
	char *progname;
	char *server;
	int port;
	long session_id;
	char *password;
	char *cmd;
	short no_rcon;
	FILE *outfile;
	FILE *errfile;
} global_config_t;

extern global_config_t g_config;

void bail(char *reason, int exitval);

#endif
