#ifndef _INCLUDES_H_
#define _INCLUDES_H_

#include "config.h"

#if STDC_HEADERS 
# include <stdio.h>
# include <stdlib.h>
# include <string.h>
#endif

#if HAVE_UNISTD_H
# include <unistd.h>
#endif

#if HAVE_LIBGEN_H
# include <libgen.h>
#endif

#ifndef HAVE_BASENAME
# define basename(x) (x)
#endif

#if HAVE_GETOPT_LONG
# if HAVE_GETOPT_H
#  include <getopt.h>
# endif
#else
# include "getopt/getopt.h"
#endif

#if HAVE_ERRNO_H
# include <errno.h>
#endif

#if HAVE_NETDB_H
# include <netdb.h>
#endif

#if HAVE_SYS_SOCKET_H
# include <sys/socket.h>
#endif

#if HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif

#endif
